package models

/*
BoltPair is just a struct representation of a Pair in the Bolt DB
*/
type BoltPair struct {
	parent *BoltBucket
	key    string
	val    string
}

/*
GetPath Returns the path of the BoltPair
*/
func (p *BoltPair) GetPath() []string {
	return append(p.parent.GetPath(), p.key)
}
